From 2660a15691a752439422988aa9eee79687e5f777 Mon Sep 17 00:00:00 2001
From: Kaarlo Raiha <kaarlo.raiha@tut.fi>
Date: Tue, 24 Mar 2009 14:39:32 +0200
Subject: [PATCH] add comments to profiles

---
 modules/gui/qt4/components/sout/profiles.hpp |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/modules/gui/qt4/components/sout/profiles.hpp b/modules/gui/qt4/components/sout/profiles.hpp
index 030530e..ecb8ad6 100644
--- a/modules/gui/qt4/components/sout/profiles.hpp
+++ b/modules/gui/qt4/components/sout/profiles.hpp
@@ -1,3 +1,4 @@
+/* Increase this value if you add a new profile */
 #define NB_PROFILE 12
 
 static const char *const video_profile_name_list[] = {
@@ -14,7 +15,13 @@ static const char *const video_profile_name_list[] = {
     "Audio - AAC",
     "Audio - FLAC",
 };
+
 static const char *const video_profile_value_list[] = {
+    /* Container(string), transcode video(bool), transcode audio(bool), */
+    /* use subtitles(bool), video codec(string), video bitrate(integer), */
+    /* scale(float), fps(float), width(integer, height(integer), */
+    /* audio codec(string), audio bitrate(integer), channels(integer), */
+    /* samplerate(integer), subtitle codec(string), subtitle overlay(bool) */
     "ts;1;1;0;h264;800;1;0;0;0;mp4a;128;2;44100;0;0",
     "ts;1;1;0;drac;800;1;0;0;0;mp4a;128;2;44100;0;0",
     "ogg;1;1;0;theo;800;1;0;0;0;vorb;128;2;44100;0;0",
-- 
1.5.5.1

